<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';
require_once '../../data/data_for_group.php';
require_once '../../util/for_analyze.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
$admin_nam ="";
$admin_status ="";
$admin_id="";
$ses_list = $_SESSION[SESSION_ADMIN];

$class_nam = "";
$err_msg = "";
$table_txt = "";
$moshi_nam = "";
$goal_score = "";
$avg_score = "";
$ave_time = "";
$limit_time = "";
$class_id = "";
$moshi_id = "";
$analysis_table = "";
$period = 3;
if ($ses_list['status'] == 0) {
	$admin_status =$ses_list['status'];
	$admin_id=$ses_list['teacher_id'];
	$admin_nam =$ses_list['teacher_nam'];
} else {
	$admin_status =$ses_list['status'];
	$admin_id=$ses_list['teacher_id'];
}
if (!isset($_GET["class_id"]) || !is_numeric($_GET["class_id"])
		|| !isset($_GET["moshi_id"]) || !is_numeric($_GET["moshi_id"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$class_id = $_GET["class_id"];
$moshi_id = $_GET["moshi_id"];

if (isset($_GET["range"])) {
	$period = $_GET["range"];
}
$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	$class_data_object = new CClassInfoTableAccess();
	$data = $class_data_object->getOneClass($data_object->conn, $class_id);
	if ($data == false) {
		$err_msg = "Class data was not found.";
	} else {

		if ($admin_status <>1 && $data["teacher_id"] <> $admin_id) {
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."admin/login.php");
			exit;
		}
		$class_nam = htmlspecialchars($data['class_nam'],ENT_QUOTES);
	}

	//ϻ̾
	$moshi_object = new CMoshiTableAccess();
	if ($moshi_object->setOneMoshi($data_object->conn, $moshi_id)) {
		while ($res = $moshi_object->dbFetchArr()) {
			$moshi_nam = htmlspecialchars($res["moshi_name"],ENT_QUOTES);
			$goal_score = intval($res["goal_score"]);
			$limit_time = intval($res["duration"]);
		}
		$moshi_object->dbFreeResult();
	}

	$class_one_moshi_object = new CClassOneMoshiAnalysis();
	if (!$class_one_moshi_object->main($data_object->conn, $class_id, $moshi_id, $period)) {
		$err_msg = $class_one_moshi_object->getErrMsg();

	} else {

		$avg_score = $class_one_moshi_object->getWholeAve();
		$ave_time = $class_one_moshi_object->getWholeAveTime();
		$analysis_table = $class_one_moshi_object->getAnalysisTable();
	}
	$data_object->closeDB();
}

$show_data = file_get_contents(TEMPLATE_DIR.'ad_analyze/admin_moshi_history.tpl');

if ($period == "ALL") {
	$show_data = str_replace(':RANGE12_CHECKED:', "SELECTED", $show_data);
}
for ($i=3; $i<=12; $i+=3) {
	if ($period == $i) {
		$show_data = str_replace(':RANGE'.$i.'_CHECKED:', "SELECTED", $show_data);
	} else {
		$show_data = str_replace(':RANGE'.$i.'_CHECKED:', "", $show_data);
	}
}

$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':CLASS_NAM_REP:', $class_nam, $show_data);

$show_data = str_replace(':MOSHI_NAM_REP:', $moshi_nam, $show_data);
$show_data = str_replace(':MOSHI_GOAL_SCORE_REP:', $goal_score, $show_data);
$show_data = str_replace(':MOSHI_AVG_SCORE_REP:', $avg_score, $show_data);
$show_data = str_replace(':MOSHI_LIMIT_TIME_REP:', $limit_time, $show_data);
$show_data = str_replace(':MOSHI_AVG_TIME_REP:', $ave_time, $show_data);

$show_data = str_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = str_replace(':MOSHI_ID_REP:', $moshi_id, $show_data);

$show_data = str_replace(':TBL_DATA:', $analysis_table, $show_data);

echo $show_data;
?>