<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}

$ses_arr = $_SESSION[SESSION_ADMIN];
$act_type = "";
$err_msg = "";

$moshi_id = "";
$back_file ="";

if ($_POST <> null) {
	if (isset($_POST['act_type'])) {
		if ($_POST['act_type'] == "insert" || $_POST['act_type'] == "update") {
			$act_type = $_POST['act_type'];
		}
	}
}

if ($_GET <> null && isset($_GET['act_type'])) {
	$act_type =$_GET['act_type'];
}

if ($act_type <> "update" && $act_type <> "insert") {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
} else {
	$data_object = new CDbAccess();
		//DB³
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		//ꥪ֥Ȥ

		$moshi_object = new CMoshiTableAccess();
		$moshi_qt_object = new CMoshiQuizTypeTableAccess ();
		$mos_sg_object = new CMoshiShowGroupTableAccess();

		if ($err_msg == "" && $data_object->transactionBegin()) {
			if ($act_type == "insert") {
				if (!$moshi_object->insertMoshi($data_object->conn,$_POST, $ses_arr['teacher_id'])) {
					$err_msg = "Failed to Insert Moshi Data<br>";
					$err_msg .= $data_object->err_msg;
				} else {
					$moshi_id = $moshi_object->getLatestId("moshi_id", $data_object->conn);
				}

			} else if ($act_type == "update" && isset($_POST['up_id']) && is_numeric($_POST['up_id'])) {
				if (!$moshi_object->updateMoshi($data_object->conn,$_POST)) {
					$err_msg = "Failed to Update Practice Data<br>";
				} else {
					$moshi_id = $_POST['up_id'];
					$moshi_qt_object->deleteByInsert($data_object->conn, $moshi_id);
					$mos_sg_object->deleteByInsert($data_object->conn, $moshi_id);
				}
			}

			if (!is_numeric($moshi_id)) {
				$err_msg .= "Irregular Prameter";
			} else {
				if (isset($_POST["class_ids"]) && $_POST["class_ids"] <> "") {
					$class_ids = explode(",",$_POST["class_ids"]);
					//var_dump($class_ids);
					foreach ($class_ids as $class_id) {
						//echo "aaa";
						$mos_sg_object->insertMoshiSG($data_object->conn,$moshi_id,$class_id);
					}
				}

				for ($i=0; $i<10; $i++) {
					if (isset($_POST["quiz_dep".$i]) &&
						isset($_POST["quiz_dif".$i]) &&
						isset($_POST["quiz_lev".$i]) && isset($_POST["type_num".$i]) &&
					isset($_POST["type_score".$i])) {
						if (!$moshi_qt_object->insertMoshiQuizType(
							$data_object->conn, $_POST["type_score".$i],
							$_POST["type_num".$i],$moshi_id,
							$_POST["quiz_dep".$i],$_POST["quiz_dif".$i],
						$_POST["quiz_lev".$i])) {
							$err_msg .= "Failed to Insert QuizType";
							break;
						}
					}
				}

			if ($err_msg == "") {
				$data_object->transactionCommit();
			} else {
				$data_object->transactionRollBack();
			}
		}
		}
		$data_object->closeDB();
	}
}
if ($err_msg == "") {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/moshi_reg/");
	exit;
}
echo $err_msg;
?>